Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 426618

Summary: gcjwebplugin error: Failed to run /usr/lib/mozilla/plugins/../../bin/pluginappletviewer.
Product: [Fedora] Fedora Reporter: Neal Becker <ndbecker2>
Component: nspluginwrapperAssignee: Martin Stransky <stransky>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: belegdol, caillon, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: 0.9.91.5-17.fc8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-24 16:56:44 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 434930    

Description Neal Becker 2007-12-22 21:16:10 EST
Description of problem:

When used with new firefox-3.0-0.beta2.3.fc9.x86_64
and java-1.7.0-icedtea-1.7.0.0-0.22.b23.snapshot.fc9.x86_64
attempting to view a java applet (e.g. 
http://www.java.com/en/download/help/testvm.xml)
produces the strange error message cited above.

Using konq it works fine.  Apparently, this is some strange interaction of 
nspluginwrapper with firefox-3.
 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Martin Stransky 2007-12-23 04:22:10 EST
can you please check nspluginwrapper-0.9.91.5-17.fc9?
Comment 2 Julian Sikorski 2007-12-23 04:59:15 EST
nspluginwrapper-0.9.91.5-17.fc9 does not help here. On the other hand,  removing
it from the system brings the java back on track. IIRC the gcjwebplugin was not
supposed to be wrapped, was it?
Here is the relevant output of firefox -g:
GCJ PLUGIN: thread 0x61dfb0: NP_GetValue
GCJ PLUGIN: thread 0x61dfb0: NP_GetValue: returning plugin description.
GCJ PLUGIN: thread 0x61dfb0: NP_GetValue return
GCJ PLUGIN: thread 0x61dfb0: NP_Initialize
GCJ PLUGIN: thread 0x61dfb0: plugin_test_appletviewer
gcjwebplugin.cc:1045: thread 0x61dfb0: Error: Failed to spawn applet viewer:
Failed to execute child process
"/usr/lib64/mozilla/plugins/../../bin/pluginappletviewer" (No such file or
directory)
GCJ PLUGIN: thread 0x61dfb0: plugin_test_appletviewer return
GCJ PLUGIN: thread 0x61dfb0: plugin_display_failure_dialog
GCJ PLUGIN: thread 0x61dfb0: plugin_display_failure_dialog return
Comment 3 Neal Becker 2007-12-23 07:03:39 EST
Same result here.  The original report _was_ for 
nspluginwrapper-0.9.91.5-17.fc9, sorry I didn't mention that.
Comment 4 Martin Stransky 2008-01-03 06:27:53 EST
java-1.7.0-icedtea needs rebuild against xulrunner at least.
Comment 5 Martin Stransky 2008-01-03 07:49:50 EST
anyway, is the java plugin wrapped by nspluginwrapper? Can you please attach an
output of "mozilla-plugin-config -l" when the java doesn't work?
Comment 6 Neal Becker 2008-01-03 08:01:03 EST
(In reply to comment #5)
> anyway, is the java plugin wrapped by nspluginwrapper? Can you please attach 
an
> output of "mozilla-plugin-config -l" when the java doesn't work?

mozilla-plugin-config -l
EXCLUDE_WRAP:
libtotem-*
EXCLUDE_LINK:

/usr/lib/mozilla/plugins-wrapped/nswrapper_32_32.libflashplayer.so
  Original plugin: 
File/Link /usr/lib/mozilla/plugins-wrapped/nphelix.xpt
/usr/lib/mozilla/plugins-wrapped/nswrapper_32_32.nppdf.so
  Original plugin: 
/usr/lib/mozilla/plugins-wrapped/nswrapper_32_32.nphelix.so
  Original plugin: 
/usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.nphelix.so
  Original plugin: /usr/lib/mozilla/plugins/nphelix.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-wmp.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-wmp.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-dvx.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-dvx.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-rm.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-rm.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-qt.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-qt.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.libjavaplugin.so
  Original plugin: /usr/lib64/mozilla/plugins/libjavaplugin.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.nsdejavu.so
  Original plugin: /usr/lib64/mozilla/plugins/nsdejavu.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.libflashplayer.so
  Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.nppdf.so
  Original plugin: /usr/lib/mozilla/plugins/nppdf.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.nphelix.so
  Original plugin: /usr/lib/mozilla/plugins/nphelix.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-wmp.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-wmp.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-dvx.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-dvx.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-rm.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-rm.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mplayerplug-in-qt.so
  Original plugin: /usr/lib64/mozilla/plugins/mplayerplug-in-qt.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.libjavaplugin.so
  Original plugin: /usr/lib64/mozilla/plugins/libjavaplugin.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.nsdejavu.so
  Original plugin: /usr/lib64/mozilla/plugins/nsdejavu.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.libflashplayer.so
  Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.nppdf.so
  Original plugin: /usr/lib/mozilla/plugins/nppdf.so
  Wrapper version string: 0.9.91.5
[nbecker@nbecker1 ~]$ 
Comment 7 Julian Sikorski 2008-01-15 12:48:51 EST
So, what are we going to do with this problem? Why did java plugin started to
get picked up by the wrapper anyway?
Comment 8 Martin Stransky 2008-01-15 12:56:18 EST
it may be excluded from the wrapped plug-ins. I need to investigate it more...
Comment 9 Martin Stransky 2008-01-22 06:24:23 EST
shoul be fixed in nspluginwrapper-0.9.91.5-21.fc9
Comment 10 Neal Becker 2008-01-22 19:17:38 EST
(In reply to comment #9)
> shoul be fixed in nspluginwrapper-0.9.91.5-21.fc9

Tested on F8.  The java test page 
http://www.java.com/en/download/help/testvm.xml
now works in both konq and in firefox3 (both x86_64).  Thanks!

Comment 11 Fedora Update System 2008-01-24 16:56:42 EST
nspluginwrapper-0.9.91.5-17.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.